from pydantic import BaseSettings


class BasicSettings(BaseSettings):
    application_name: str = "UMG Datalake Upload Agent"
    application_version: str = "0.8.0"
    base_directory: str = "/tmp/source"
    source_directory: str = "."
    source_filemask: str = ".*.csv"
    mime_type: str = "application/csv"
    delete_after_upload: bool = True
    cdstar_uri: str = "http://localhost:8082/v3"
    cdstar_user: str = "source"
    cdstar_pass: str = "something"
    cdstar_vault_target: str = "sources"


def get_version():
    return BasicSettings().application_version


agent_config_parameters = {
    "source_directory",
    "source_filemask",
    "mime_type",
    "delete_after_upload",
}

agent_description = ""
with open("Readme.md", "r") as readme:
    agent_description = readme.read()
